function()
  local output = ""
  local buff = 0
  if IsInRaid() == false then
    for i = 1, GetNumGroupMembers() do
      if UnitClass("party" .. i) == "Rogue" then
        buff = 0
        for j = 1, 40 do
          if UnitBuff("party" .. i, j) == "Stealth" then
            output = output .. "|cFF00FF00" .. UnitName("party" .. i) .. "\n"
            buff = 1
            break
          end
        end
        if buff == 0 then
          output = output .. "|cFFFF0000" .. UnitName("party" .. i) .. "\n"
        end
      end
    end
    return output
  else
    for i = 1, GetNumGroupMembers() do
      if UnitClass("raid" .. i) == "Rogue" then
        buff = 0
        for j = 1, 40 do
          if UnitBuff("raid" .. i, j) == "Stealth" then
            output = output .. "|cFF00FF00" .. UnitName("raid" .. i) .. "\n"
            buff = 1
            break
          end
        end
        if buff == 0 then
          output = output .. "|cFFFF0000" .. UnitName("raid" .. i) .. "\n"
        end
      end
    end
    return output
  end
end
